Bug 985563 - Logging, conf.d and log rotation
Logging, conf.d and log rotation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: prosody (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 14:52 EDT by Trever Adams
Modified: 2018-04-11 08:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: prosody-0.9.8-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-20 14:37:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Configuration patch (961 bytes, text/plain)
2013-07-17 14:53 EDT, Trever Adams
no flags Details
Logrotate script (206 bytes, text/plain)
2013-07-17 14:54 EDT, Trever Adams
no flags Details

  None (edit)
Description Trever Adams 2013-07-17 14:52:47 EDT
Description of problem:
* I would like to see a conf.d/*.cfg.lua setup like Ubuntu/Debian do so that virtual hosts can be added easily.
* I would like to see logging of errors and info on by default logging to /var/log/prosody/prosody.log and .../prosody.err
* A log rotation script

I have included a patch to do the configuration file changes. I have not done the necessary patch for the spec file to create the conf.d directory and do the appropriate chmod/chown, etc.
Comment 1 Trever Adams 2013-07-17 14:53:29 EDT
Created attachment 774927 [details]
Configuration patch
Comment 2 Trever Adams 2013-07-17 14:54:21 EDT
Created attachment 774928 [details]
Logrotate script
Comment 3 Trever Adams 2013-07-20 08:08:38 EDT
/var/log/prosody/prosody.log /var/log/prosody/prosody.err {
Comment 4 Matěj Cepl 2013-08-22 12:30:27 EDT
(In reply to Trever Adams from comment #0)
> * I would like to see a conf.d/*.cfg.lua setup like Ubuntu/Debian do so that
> virtual hosts can be added easily.

I like the rest, but this one seems like over-complication of the stuff. RHEL/Fedora was always based on the assumption that sysadmin should be able to manage his $EDITOR.
Comment 5 Robert Scheck 2013-08-22 13:19:57 EDT
I would like the second and third point of initial description, I have less
opinion on the first point (given that Prosody is IMHO not same virtual host 
friendly as e.g. httpd - especially when remembering to my employers prosody 
configuration; think of mod_proxy65 as stupid example).
Comment 6 Trever Adams 2013-08-22 14:05:06 EDT
Not all of the modules can be modified per host, granted. However, having the conf.d directory does make it much easier to manage with things like puppet. I can go either way, as in reality most of my setups will be completely managed with puppet and I have it setting up that.
Comment 7 Fedora End Of Life 2015-01-09 13:58:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Matěj Cepl 2015-01-10 10:41:52 EST
What is the situatino here?
Comment 9 Fedora Admin XMLRPC Client 2015-01-16 12:34:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2015-02-02 16:25:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Jaroslav Reznik 2015-03-03 11:54:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 12 Fedora Update System 2015-04-18 07:49:25 EDT
prosody-0.9.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.fc22
Comment 13 Fedora Update System 2015-04-18 07:51:28 EDT
prosody-0.9.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.fc21
Comment 14 Fedora Update System 2015-04-18 09:13:12 EDT
prosody-0.9.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.fc20
Comment 15 Fedora Update System 2015-04-18 10:31:45 EDT
prosody-0.9.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.el6
Comment 16 Fedora Update System 2015-04-20 14:37:21 EDT
prosody-0.9.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-04-24 19:04:24 EDT
prosody-0.9.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.el7
Comment 18 Fedora Update System 2015-04-26 08:51:49 EDT
prosody-0.9.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-04-30 07:46:47 EDT
prosody-0.9.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-05-04 19:31:28 EDT
prosody-0.9.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/prosody-0.9.8-1.el5
Comment 21 Fedora Update System 2015-05-10 19:52:48 EDT
prosody-0.9.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-05-21 01:12:14 EDT
prosody-0.9.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 23 Fedora Update System 2015-05-21 01:13:05 EDT
prosody-0.9.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.